<?php
/**
*
* @author FladeX (Max Istlyaev) fladex@yandex.ru < http://fladex.ru/ >
* @package umil
* @version $Id install_referrals_fx.php 1.0.4 2010-09-28 12:49:33GMT FladeX $
* @copyright (c) 2010 FladeX
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/referrals_fx');

if (!file_exists($phpbb_root_path . 'umil/umil.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// We only allow a founder to install this MOD
if ($user->data['user_type'] != USER_FOUNDER)
{
	if ($user->data['user_id'] == ANONYMOUS)
	{
		login_box('', 'LOGIN');
	}
	trigger_error('NOT_AUTHORISED');
}

if (!class_exists('umil'))
{
	include($phpbb_root_path . 'umil/umil.' . $phpEx);
}

$umil = new umil(true);

$mod = array(
	'name'		=> L_REFERRALS_FX,
	'version'	=> '1.0.4',
	'config'	=> 'referrals_fx_version',
);

if (confirm_box(true))
{
	// Install the base 1.0.4 version
	if (!$umil->config_exists($mod['config']))
	{
		// We must handle the version number ourselves.
		$umil->config_add($mod['config'], $mod['version']);

		$umil->table_add(array(
			array(REFERRALS_TABLE, array(
				'COLUMNS' => array(
					'referrer_id' => array('UINT', 0),
					'referral_id' => array('UINT', 0),
				),
			)),
		));

		$umil->table_column_add(USERS_TABLE, 'user_referrer', array('UINT', '0'));

		$umil->table_column_add(USERS_TABLE, 'user_referrals', array('UINT', '0'));

		$umil->module_add(array(

			array('ucp', 'UCP_MAIN', array(
					'module_basename'	=> 'main',
					'module_langname'	=> 'UCP_MAIN_REFERRALS_FX',
					'module_mode'		=> 'referrals_fx',
				),
			),
		));

		// Our final action, we purge the board cache
		$umil->cache_purge();
	}

	// We are done
	trigger_error('INSTALL_REFERRALS_FX_MOD_DONE');
}
else
{
	confirm_box(false, 'INSTALL_REFERRALS_FX_MOD');
}

// Shouldn't get here.
redirect($phpbb_root_path . $user->page['page_name']);

?>